Package ghidra.framework.main.datatable

# Class ProjectDataColumn<T>

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<DomainFileInfo,T,ProjectData>
ghidra.framework.main.datatable.ProjectDataColumn<T>

All Implemented Interfaces:
  `DynamicTableColumn<DomainFileInfo,T,ProjectData>`, `ExtensionPoint`, `Comparable<ProjectDataColumn<?>>`

Direct Known Subclasses:
  `AddressSizeProjectDataColumn`, `CompilerProjectDataColumn`, `CreatedWithProjectDataColumn`, `CreationDateProjectDataColumn`, `DomainFileSizeProjectDataColumn`, `EndianProjectDataColumn`, `ExecutablePathProjectDataColumn`, `FormatProjectDataColumn`, `LanguageProjectDataColumn`, `Md5ProjectDataColumn`, `ProcessorProjectDataColumn`

public abstract class ProjectDataColumn<T> extends AbstractDynamicTableColumn<DomainFileInfo,T,ProjectData> implements ExtensionPoint, Comparable<ProjectDataColumn<?>>

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProjectDataColumn()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(ProjectDataColumn<?> other)`
  `abstract int`
  `getPriority()`
  `abstract boolean`
  `isDefaultColumn()`

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnClass, getColumnDescription, getColumnDisplayName, getColumnName, getColumnPreferredWidth, getColumnRenderer, getComparator, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, getValue, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProjectDataColumn

    public ProjectDataColumn()

- ## Method Details

  - ### isDefaultColumn

    public abstract boolean isDefaultColumn()

  - ### getPriority

    public abstract int getPriority()

  - ### compareTo

    public int compareTo(ProjectDataColumn<?> other)
    Specified by:
      `compareTo` in interface `Comparable<T>`